org.springframework.batch.core.job

## Class CompositeJobParametersValidator

- java.lang.Object
- - org.springframework.batch.core.job.CompositeJobParametersValidator

- All Implemented Interfaces:
    JobParametersValidator, org.springframework.beans.factory.InitializingBean

      public class CompositeJobParametersValidator
      extends java.lang.Object
      implements JobParametersValidator, org.springframework.beans.factory.InitializingBean

  Composite `JobParametersValidator` that passes the job parameters through a sequence of injected `JobParametersValidator`s
  Author:
    Morten Andersen-Gott

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeJobParametersValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `setValidators(java.util.List<JobParametersValidator> validators)` Public setter for the validators
    `void` | `validate(JobParameters parameters)` Validates the JobParameters according to the injected JobParameterValidators Validation stops and exception is thrown on first validation error

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeJobParametersValidator

          public CompositeJobParametersValidator()

  - ### Method Detail

    - #### validate

          public void validate(JobParameters parameters)
                        throws JobParametersInvalidException

      Validates the JobParameters according to the injected JobParameterValidators Validation stops and exception is thrown on first validation error
      Specified by:
        `validate` in interface `JobParametersValidator`
      Parameters:
        `parameters` - some `JobParameters`
      Throws:
        `JobParametersInvalidException` - if the parameters are invalid

    - #### setValidators

          public void setValidators(java.util.List<JobParametersValidator> validators)

      Public setter for the validators
      Parameters:
        `validators` -

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`